/* 
 * MPTclInit.c (c) 2003 Cyril BARABTO 
 *
 *	This file contains code to implement the "packer"
 *	test tcl manager for Tcl/Tk.
 *
 * tcl/tk (c) 1990-2003 The Regents of the University of California.
 * 	  (c) 1994-2003 Sun Microsystems, Inc.
 *
 * DISCLAIMER OF ALL WARRANTIES.
 *
 */

#include "MPTclInit.h"

/*
 *--------------------------------------------------------------
 *
 * MPTcl_Init --
 *
 *	This procedure is invoked to process the "load libmptcl MPTcl" Tcl command
 *	and creates the new tcl command about xanim.
 *	See the user documentation for details on what it does.
 *
 * Results:
 *	A standard Tcl result.
 *
 * Side effects:
 *	See the user documentation.
 *
 *--------------------------------------------------------------
 */


int 
Mptcl_Init(Tcl_Interp *interp) {
	

	Tcl_Command code 		= NULL; 				/*set code error*/
	TkWindow 	*tkwin 		= (TkWindow *)	Tk_MainWindow(interp); 	/* set tkwin main */

	/*create news tcl commands  */
	Tcl_CreateCommand(interp, "media", MPTcl_MediaCmd, (ClientData)
		(Tk_Window) tkwin, (void (*) _ANSI_ARGS_((ClientData))) NULL); 
	
	/* declare package */
	Tcl_PkgProvide(interp, MPTcl_PKG, MPTcl_VERSION);
	
	/*load message */
	printf("%s %s package for Tcl/Tk by Cyril BARBATO (c) %s\n", MPTcl_PKG, MPTcl_VERSION, MPTcl_DATE);	

	return TCL_OK;

};

/*
 *--------------------------------------------------------------
 *
 * MPTcl_GetEqu --
 *
 * return int (index) equ string (char *) from XaTcl_Equ table.
 * return 0 if not exist
 *
 *--------------------------------------------------------------
 */

int 
MPTcl_GetEqu (char *name, MPTcl_Equ *equTable) {

	int i = 0;
	int result = 0;
	
	for ( i = 0 ; equTable[i].index != 0 ; i++ ) {
		if (strncmp(name, equTable[i].name , strlen(name)) == 0 ) result = equTable[i].index ;
	};

	return result;
};





















